"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.dictionaryCloneExtend = void 0;
const dictionary_overwrite_js_1 = require("./dictionary-overwrite.js");
/**
 * @public
 * Creates an object which is extended sequentially by two additional objects.
 * @param base - The object to apply first.
 * @param extension - The object to apply second.
 *
 * @remarks
 * See {@link dictionaryCloneExtend}.
 */
function dictionaryCloneExtend(base, extension) {
    const extended = {};
    (0, dictionary_overwrite_js_1.dictionaryOverwrite)(extended, base);
    (0, dictionary_overwrite_js_1.dictionaryOverwrite)(extended, extension);
    return extended;
}
exports.dictionaryCloneExtend = dictionaryCloneExtend;
//# sourceMappingURL=dictionary-clone-extend.js.map