import { dictionaryOverwrite } from "./dictionary-overwrite.js";
/**
 * @public
 * Creates an object which is extended sequentially by two additional objects.
 * @param base - The object to apply first.
 * @param extension - The object to apply second.
 *
 * @remarks
 * See {@link dictionaryCloneExtend}.
 */
export function dictionaryCloneExtend(base, extension) {
    const extended = {};
    dictionaryOverwrite(extended, base);
    dictionaryOverwrite(extended, extension);
    return extended;
}
//# sourceMappingURL=dictionary-clone-extend.js.map